/*
 * Plugin for ASPSpellCheck for use with CKEditor by Bob Tate
 *
 * This plugin would not be possible without the support of the following
 * applications.
 *
 * CKeditor - http://www.ckeditor.com
 * ASPSpellCheck - http://www.aspspellcheck.com
 *
 * Edited 27 Feb 2011 By Jaccob Mellor for better IE8 compatibility
 *
 */

CKEDITOR.plugins.add('ASPSpellCheck',
{
    init: function(editor)
    {
        var pluginName = 'ASPSpellCheck';
        editor.addCommand(pluginName,
	{
            exec : function ( editor )
            {
                var URL = "/ASPSpellCheck/ASPSpellCheck.asp?fields=";
				
                var editorOrdinal = 0;
				
			   if(editor.name && editor.name.indexOf("editor")>-1){
				var strOrd  = editorOrdinal =  editor.name.replace("editor","");
				var editorOrdinal = Number(strOrd)-1
				   }
				   
                   URL = URL + "iframe:"+editorOrdinal;
			   
                open(URL,'CK_SpellWin','width=480,height=290,scrollbars=no')                
            }
	}

 );
        editor.ui.addButton('ASPSpellCheck',
        {
            label: 'Spell Check',
            icon: this.path + 'aspspellcheck.gif', 
            command: pluginName
        });
    }
});